# bootstrap

The script in this repo bootstraps Debian bookworm from a grml live environment. Design decisions and usage instructions are outlined in the beginning of the script.


### Usage
Remark: Make sure to boot grml for **amd64**
```
# boot grml
# - press e to setup network if neccessary
# - press Return to run a shell
# - Run the command Start ssh , with a capital S to start the ssh server
# - passwd to change the root password
git clone https://git.in-ulm.de/ulpeters/bootstrap.git
cd bootstrap
cp config.sh.template config.sh
# ./config-get-netconf-eth0.sh to copy running grml network config
vi config.sh
./bootstrap-bookworm.sh install
# reboot
# run as root
/installer/bootstrap-bookworm.sh postinstall
```


### Alternatives
#### 1. Qemu disk as installation target
```
img="/var/lib/libvirt/images/ts-linux-testing.qcow2"
qemu-img create -f qcow2 -o size=20G $img  # create image
qemu-nbd -c /dev/nbd0 $img  # create device from image
qemu-nbd -d /dev/nbd0       # release device
```
Set `disk=/dev/nbd0` as installation target

#### 2. EFI installion with encrypted data partition
- Adapt and run [uefi-parted.sh](uefi-parted.sh) prior `bootstrap-bookworm.sh install`
- Settings for config.sh
    - `partition=efi`
    - `disk1=$disk"p2"`
    - `disk0=$disk"p1"`